Bug 828807 - Not synchronized host and terminal "Num Lock"
Not synchronized host and terminal "Num Lock"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 08:17 EDT by Mikhail
Modified: 2014-08-18 05:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 05:01:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-06-05 08:17:25 EDT
Not synchronized host and terminal "Num Lock"
Comment 1 Christoph Wickert 2012-06-05 14:16:26 EDT
Your bug description is very sparse. Please provide more info, e.g. the connection type and how to reproduce the problem step by step.
Comment 2 Mikhail 2012-06-06 09:27:57 EDT
RDP connection. When on host machine "Num Lock" is on, then on terminal they are off and vice versa
Comment 3 ChrisF 2012-06-26 06:02:40 EDT
I can also confirm this issue.  The CapsLock key is also not synchronised.  It appears to be this bug in Remmina which is marked as fixed:

https://github.com/FreeRDP/Remmina/issues/45

I'm running remmina.x86_64 1.0.0-4.fc17 from updates-testing.  

Thanks,
Chris
Comment 4 ChrisF 2012-07-04 12:07:13 EDT
This used to work in the old version (<1.0.0).  I have tested 1.0.0 - 1.0.0-4 and they are all not working.

Steps to reproduce:

1) Turn on NumLock in local session
2) Connect using RDP connection to Windows machine.
3) Numlock will be off in the remote session and on in the local.

Please let me know if there's any more info you need?
Thanks,
Chris
Comment 5 Petr Kočandrle 2013-02-01 02:43:29 EST
The same problem on RDP sessions appears with remmina.x86_64 1.0.0-5.fc18. There is no newer version available in updates-testing for Fedora 18.
Comment 6 Fedora End Of Life 2013-07-03 17:29:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Christoph Wickert 2014-05-22 07:35:18 EDT
Assigning bug to new package maintainer.
Comment 8 Pavel Alexeev 2014-08-18 05:01:00 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.